Robotics Service Bus - Tasks #547
Check if new version of UInt64Converter improves performance of UInt64 conversion
09/05/2011 12:13 PM - S. Wrede

Status: Resolved Start date: 09/05/2011
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Performance Optimization Estimated time: 0.00 hour
Target version: 0.5

Description

History

#1 - 09/05/2011 03:28 PM - S. Wrede
- Status changed from New to Resolved

Actually, it helped a lot. In Arnes performance benchmarking use cases the improvement was in the range of 30%... However, it has to be noted that in

this example the Uni64Converter was the only converter used so that this is quite plausible.

#2 - 09/05/2011 03:30 PM - S. Wrede
- % Done changed from 0 to 100

Addendum: This was solved by adding an improved version of the UInt64Converter by Jan. Corresponding revision are r2529 and r2520.

#3 - 10/27/2011 08:13 PM - J. Moringen
- Target version changed from rsb-0.10 to 0.5
